Package net.shibboleth.idp.installer.plugin.impl

# Class LoggingVisitor

java.lang.Object
java.nio.file.SimpleFileVisitor<Path>
net.shibboleth.idp.installer.plugin.impl.LoggingVisitor

All Implemented Interfaces:
  `FileVisitor<Path>`

public final class LoggingVisitor extends SimpleFileVisitor<Path>
A @{link `FileVisitor` copies directory trees keeping a note of all copied target files.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<Path>`
`copiedFiles`
How what files have we copied?
`private final Path`
`from`
Path we are traversing.
`private final org.slf4j.Logger`
`log`
logger.
`private final Path`
`to`
Path where we copy to.

## Constructor Summary

Constructors
Constructor
Description
`LoggingVisitor(Path fromDir, Path toDir)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Path>`
`getCopiedList()`
Did we find a name clash?
`FileVisitResult`
`preVisitDirectory(Path dir, BasicFileAttributes attrs)`
`FileVisitResult`
`visitFile(Path file, BasicFileAttributes attrs)`

### Methods inherited from class java.nio.file.SimpleFileVisitor

`postVisitDirectory, visitFileFailed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
logger.

### copiedFiles

@Nonnull private final List<Path> copiedFiles
How what files have we copied?

### from

@Nonnull private final Path from
Path we are traversing.

### to

@Nonnull private final Path to
Path where we copy to.

## Constructor Details

### LoggingVisitor

public LoggingVisitor(@Nonnull Path fromDir, @Nonnull Path toDir)
Constructor.

Parameters:
  `fromDir` - Path we are traversing
  `toDir` - Path where we check for Duplicates

## Method Details

### preVisitDirectory

public FileVisitResult preVisitDirectory(Path dir, BasicFileAttributes attrs) throws IOException

Specified by:
  `preVisitDirectory` in interface `FileVisitor<Path>`
Overrides:
  `preVisitDirectory` in class `SimpleFileVisitor<Path>`
Throws:
  `IOException`

### visitFile

public FileVisitResult visitFile(Path file, BasicFileAttributes attrs) throws IOException

Specified by:
  `visitFile` in interface `FileVisitor<Path>`
Overrides:
  `visitFile` in class `SimpleFileVisitor<Path>`
Throws:
  `IOException`

### getCopiedList

@Nonnull public List<Path> getCopiedList()
Did we find a name clash?

Returns:
  whether we found a name clash